/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2010 Bull S.A.S.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.admin.auditconsole.view {
import com.adobe.cairngorm.control.CairngormEventDispatcher;

import flash.events.MouseEvent;
import flash.events.Event;

import mx.containers.VBox;
import mx.controls.TextInput;
import mx.controls.sliderClasses.Slider;
import mx.events.SliderEvent;

import org.ow2.jonas.admin.auditconsole.event.AuditConsoleEvent;
import org.ow2.jonas.admin.auditconsole.model.AuditConsoleModelLocator;

public class ServerCallTreeClass extends VBox {

    /**
     * Model used for this view.
     */
    [Bindable]
    public var model : AuditConsoleModelLocator = AuditConsoleModelLocator.getInstance();

    [Bindable]
    public var vgraph : NodeVisualGraph = null;


    public function ServerCallTreeClass() {
        super();
    }


    public function init() : void {
        refreshData(null);
        model.vgraph = vgraph;
    }

    public function refreshData(e : MouseEvent) : void {
        var event : AuditConsoleEvent = new AuditConsoleEvent(AuditConsoleEvent.TREE_GET_NODES_ID);
        CairngormEventDispatcher.getInstance().dispatchEvent(event);
    }

    public function sliderDepthChange(event : SliderEvent) : void {
        var currentSlider : Slider = Slider(event.currentTarget);
        model.treeSearchDepth = currentSlider.value;
    }

    public function sliderMaxResultsChange(event : SliderEvent) : void {
        var currentSlider : Slider = Slider(event.currentTarget);
        model.treeSearchMaxResults = currentSlider.value;
    }


    protected function searchKeywordChange(event : Event) : void {
        var input : TextInput = TextInput(event.target);
        model.treeSearchKeyword = input.text;
    }

    protected function closeGraph(e : MouseEvent) : void {
        model.showingGraph = false;
    }


}

}